package com.gh.gamecenter.entity

import com.gh.gamecenter.common.entity.LinkEntity
import com.google.gson.annotations.SerializedName

data class ForumActivityCategoryEntity(
    @SerializedName("_id")
    var id: String = "",
    var name: String = ""
)

data class ForumActivityEntity(
    @SerializedName("_id")
    val id: String = "",
    val title: String = "",
    @SerializedName("tag_activity_id")
    val activityId: String = "", //活动标签ID
    @SerializedName("tag_activity_name")
    val activityName: String = "", //活动标签名
    @SerializedName("game_id")
    val gameId: String = "",
    @SerializedName("game_name")
    val gameName: String = "",
    @SerializedName("effect_time")
    val effectTime: ActivityTime = ActivityTime(),
    @SerializedName("award_time")
    val awardTime: ActivityTime = ActivityTime(),
    val image: ActivityImage = ActivityImage(),
    val name: String = "",
    val unread: Boolean = false,
    val link: LinkEntity? = null
) {

    class ActivityTime(
        val start: Long = 0,
        val end: Long = 0
    )

    class ActivityImage(
        val cover: String = ""
    )
}